"use strict";

exports.__esModule = true;
exports.default = collectDataFromChildSeries;

var _react = require("react");

var _componentName = _interopRequireDefault(require("./componentName"));

var _componentIsX = require("./componentIsX");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function collectDataFromChildSeries(children) {
  var allRawData = [];
  var allBinnedData = [];
  var rawDataByIndex = {};
  var binnedDataByIndex = {};

  _react.Children.forEach(children, function (Child, i) {
    var name = (0, _componentName.default)(Child);

    if ((0, _componentIsX.isSeries)(name)) {
      var rawData = Child.props.rawData;
      var binnedData = Child.props.binnedData;

      if (rawData && rawData.length > 0) {
        rawDataByIndex[i] = rawData;
        allRawData = allRawData.concat(rawData);
      }

      if (binnedData && binnedData.length > 0) {
        binnedDataByIndex[i] = binnedData;
        allBinnedData = allBinnedData.concat(binnedData);
      }
    }
  });

  return {
    allBinnedData: allBinnedData,
    allRawData: allRawData,
    binnedDataByIndex: binnedDataByIndex,
    rawDataByIndex: rawDataByIndex
  };
}